Skip to content

List the Music on Hold library

GET
/v1/studios/{studio}/moh-library
curl --request GET \
--url https://api.caller9.app/v1/studios/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/moh-library \
--header 'Authorization: Bearer <token>'

Platform-wide Music on Hold tracks selectable via moh_library_guid. The same for every studio.

studio
required
string format: uuid

Studio ID (UUID).

Library entries, in display order.

Media typeapplication/json
object
entries
required
Array<object>
object
guid
required
string
name
required
string
r2_key
required

Storage key of the track.

string
is_default
required

1 for the platform default track (used when moh_library_guid is null).

integer
Allowed values: 0 1

Example

{
"entries": [
{
"is_default": 0
}
]
}

Missing, invalid, expired or revoked API key.

Media typeapplication/json
object
error
required

Human-readable error message.

string
code

Machine-readable code (authentication failures only, e.g. KEY_EXPIRED, RATE_LIMITED).

string

Example generated

{
"error": "example",
"code": "example"
}

Not found, or belongs to another organization.

Media typeapplication/json
object
error
required

Human-readable error message.

string
code

Machine-readable code (authentication failures only, e.g. KEY_EXPIRED, RATE_LIMITED).

string

Example generated

{
"error": "example",
"code": "example"
}

Too many requests for this API key. Retry after Retry-After seconds.

Media typeapplication/json
object
error
required

Human-readable error message.

string
code

Machine-readable code (authentication failures only, e.g. KEY_EXPIRED, RATE_LIMITED).

string

Example generated

{
"error": "example",
"code": "example"
}
Retry-After
integer

Seconds until the rate-limit window resets.